import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { Text, TouchableHighlight } from 'react-native';
import { styles } from '../../styles';

export const ErrorMediumTextFlatButton: FC<ButtonModel> = ({
  text,
  onClick,
  disabled,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles.flatButtonPressed.backgroundColor}
    style={styles.button}
  >
    <Text style={[styles.text, styles.flatButtonText, disabled && styles.flatButtonTextDisabled]} numberOfLines={1}>
      {text}
    </Text>
  </TouchableHighlight>
);
