import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { TouchableHighlight } from 'react-native';
import { styles } from '../../styles';
import { AtomIcon } from '../../../../../icons';

export const SecondaryLargeIconSolidButton: FC<ButtonModel> = ({
  onClick,
  disabled,
  Icon = AtomIcon,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles.solidButtonPressed.backgroundColor}
    style={[styles.button, styles.solidButton, disabled && styles.solidButtonDisabled]}
  >
    <Icon color={styles.solidButtonText.color} width={24} height={24} />
  </TouchableHighlight>
);
