import React, { FC } from 'react';
import { ModalHeaderModel } from '../modalHeaderModels';
import { View } from 'react-native';
import { styles } from './styles';
import { CloseIcon, SecondaryExtraLargeIconFlatButton, SubtitleMediumText } from '../../../../atoms';

export const TitleCloseModalHeader: FC<ModalHeaderModel> = ({
  title,
  onClose,
}) => {
  return (
    <View style={styles.titleCloseModalHeader}>
      <View style={styles.titleCloseModalHeader.text}>
        <SubtitleMediumText numberOfLines={1}>{title}</SubtitleMediumText>
      </View>
      <View>
        <SecondaryExtraLargeIconFlatButton onClick={onClose} Icon={CloseIcon} />
      </View>
    </View>
  );
};
