import { StyleSheet, ViewStyle } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';

interface Style {
  headerControlsWrapper: ViewStyle;
  headerControls: ViewStyle;
  controlPressRightSeparator: ViewStyle;
  controlPress: ViewStyle;
  controlPressed: ViewStyle;
  icon: {
    color: string;
    size: number;
  }
}

export const styles = StyleSheet.create<Style>({
  headerControlsWrapper: {
    height: 32,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
  },
  headerControls: {
    flexDirection: 'row',
  },
  controlPressRightSeparator: {
    marginRight: spacingSizes.small,
  },
  controlPress: {
    height: 32,
    width: 32,
    borderRadius: borderRadiusSizes.medium,
    alignItems: 'center',
    justifyContent: 'center',
  },
  controlPressed: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  icon: {
    color: getThemeColorByDefaultColor('text', 'dark'),
    size: 22,
  },
});
