import React, { FC } from 'react';
import { BodyMediumText } from '../../../../../../atoms';
import { Selector } from '../../selectors/selector';
import { ModeThermostatConfigModel } from '../../../../widgetDetailModels';

interface Props {
  modeConfig: ModeThermostatConfigModel;
}

export const ThermostatModeSelector: FC<Props> = ({ modeConfig }) => {
  const {
    modeId,
    modeSelectorPlaceholder,
    modeSelectorTitle,
    modeValue,
    modeOptions,
    onChangeModeValue,
    modeIsLoading,
  } = modeConfig;

  return (
    <>
      <BodyMediumText>{modeSelectorTitle}</BodyMediumText>
      <Selector
        isLoading={modeIsLoading}
        onSelectValue={(val) => onChangeModeValue({ id: modeId, value: String(val.value) })}
        defaultValue={modeValue}
        showList={false}
        valuesList={modeOptions}
        placeholderWhenEmpty={modeSelectorPlaceholder}
      />
    </>
  );
};
